<?php

header('Content-Type: text/html; charset=utf-8');
mb_internal_encoding('UTF-8');

$db = array();

$db['host']        = "localhost";
$db['uname']    = "sitpos";
$db['password']    = "mYSitP05P@ssw0rt";
$db['database']    = "sitpos";
    


$dbconnect = mysql_connect($db['host'], $db['uname'], $db['password']) or die ("Konnte keine Verbindung zur Datenbank aufnehmen!");
mysql_select_db($db['database'],$dbconnect) or die ("Fehler beim Auswählen der Datenbank!");

mysql_set_charset('utf8');


echo '<pre>';


function getTables($db){
    
    $result = mysql_query("SHOW TABLES FROM " . $db['database']);
    
    while($row = mysql_fetch_row($result)){
        $res[] = $row[0];
    }

    return $res;
    
}

function getColumns($table){

    $table = mysql_real_escape_string($table);

    $mysqlres = mysql_query("SHOW COLUMNS FROM " . $table);
    while($row = mysql_fetch_row($mysqlres)){
        $res[] = $row[0];
    }

    return $res;
}

// Alle Tabellen ermitteln
$tablesArray = getTables($db);
    
// Alle Spalten pro Tabelle ermitteln und durcharbeiten
foreach($tablesArray AS $table){
    
    $affectedRows = 0;
    $spalten = getColumns($table);

    echo "Tabelle: " . $table . "<br />";
    
    // http://www.carrickfergus.de/public/unicode.php?action=by_char&char=@

    foreach($spalten AS $spalte){
    
        echo "...Spalte: " . $spalte . "<br />";
    
        $query = '
            UPDATE `' . $table . '` SET
              `' . $spalte . '` = REPLACE(`' . $spalte . '`,"ÃŸ", "ß"),
              `' . $spalte . '` = REPLACE(`' . $spalte . '`, "Ã¤", "ä"),
              `' . $spalte . '` = REPLACE(`' . $spalte . '`, "Ã¼", "ü"),
              `' . $spalte . '` = REPLACE(`' . $spalte . '`, "Ã¶", "ö"),
              `' . $spalte . '` = REPLACE(`' . $spalte . '`, "Ã„", "Ä"),
              `' . $spalte . '` = REPLACE(`' . $spalte . '`, "Ãœ", "Ü"),
              `' . $spalte . '` = REPLACE(`' . $spalte . '`, "Ã–", "Ö"),
              `' . $spalte . '` = REPLACE(`' . $spalte . '`, "├Â", "ö"),
              `' . $spalte . '` = REPLACE(`' . $spalte . '`, "├╝", "ü"),
              `' . $spalte . '` = REPLACE(`' . $spalte . '`, "├ñ", "ä"),
              `' . $spalte . '` = REPLACE(`' . $spalte . '`, "├ƒ", "ß"),
              `' . $spalte . '` = REPLACE(`' . $spalte . '`, "├ä", "Ä"),
              `' . $spalte . '` = REPLACE(`' . $spalte . '`, "├û", "Ö"),
              `' . $spalte . '` = REPLACE(`' . $spalte . '`, "├£", "Ü")
              
              
        ';
		//echo "Query: ".$query."<br>";
        mysql_query($query) OR die(mysql_error() . $query);
        $affectedRows += mysql_affected_rows();
    
    }

    
    echo "<b>Tabelle " . $table . " aktualisiert, Datensätze: " . $affectedRows . "</b><br /><br />";
    
} 
?>
